import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$4 } from './p-BGsNINid.js';
import { d as defineCustomElement$3 } from './p-DiC-xcof.js';
import { d as defineCustomElement$2 } from './p-Dh42HLiJ.js';

const DgaDigitalSignatureUsage$1 = /*@__PURE__*/ proxyCustomElement(class DgaDigitalSignatureUsage extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h("div", { key: 'b893dbef0875ed68dafa3fb942af21a8a08d1d09', style: { width: '100%' } }, h("dga-digital-signature", { key: '3024c7ba9966c9524b63c3891327e9b4666171a8', language: 'en', extension: ".sch.sa" })));
    }
}, [0, "dga-digital-signature-usage"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-digital-signature-usage", "dga-digital-signature", "dga-icon", "dga-link"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-digital-signature-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaDigitalSignatureUsage$1);
            }
            break;
        case "dga-digital-signature":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "dga-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "dga-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaDigitalSignatureUsage = DgaDigitalSignatureUsage$1;
const defineCustomElement = defineCustomElement$1;

export { DgaDigitalSignatureUsage, defineCustomElement };
